### Method

# Gimp RGB_get_uchar

#### Declaration [src]

    void
    gimp_rgba_get_uchar (
      const GimpRGB* rgba,
      guchar* red,
      guchar* green,
      guchar* blue,
      guchar* alpha
    )

#### Description [src]

Gets the 8bit red, green, blue and alpha components of `rgba`.

#### Parameters

`red`

  Type: `guchar*`

  Location for the red component.

  The argument will be set by the function.
  The argument can be `NULL`.

`green`

  Type: `guchar*`

  Location for the green component.

  The argument will be set by the function.
  The argument can be `NULL`.

`blue`

  Type: `guchar*`

  Location for the blue component.

  The argument will be set by the function.
  The argument can be `NULL`.

`alpha`

  Type: `guchar*`

  Location for the alpha component.

  The argument will be set by the function.
  The argument can be `NULL`.